FUNCTION::PRINT_UBAC(3stap)

NAME
function::print_ubacktrace - Print stack back trace for current user-space task.

SYNOPSIS

1) print_ubacktrace()

2) print_ubacktrace(pc:long,sp:long,fp:long)

ARGUMENTS

pc
    override PC

sp
    override SP

fp
    override FP

DESCRIPTION

1)

2) Equivalent to print_ustack(ubacktrace), except that deeper stack nesting may be supported. Returns nothing. See print_backtrace for kernel backtrace.

Equivalent to print_ubacktrace, but it performs the backtrace using the pc, sp, and fp provided. Useful

NOTE

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

SEE ALSO
tapset::ucontext-unwind(3stap)

SEE ALSO
tapset::ucontext-unwind(3stap)